
var tabs = require("tabs");
var { setTimeout, clearTimeout } = require("timers");
var sp = require("simple-prefs");
var { data } = require("self");
var { PageMod } = require("page-mod");
//require("addon-page");

var URL = data.url("page.html");

function updateTabCount() {
  this.port.emit("update", tabs.length);
}

sp.on("open-page", function() {
  tabs.open({
    url: URL,
    onReady: function(tab) {
      var mod = tab.attach({
        contentScriptFile: data.url("page.js"),
      });

      var update = updateTabCount.bind(mod);
      tabs.on("open", update);
      tabs.on("close", update);
      mod.on("detach", function() {
        tabs.removeListener("open", update);
        tabs.removeListener("close", update);
      });
      update();
    }
  });
});
